%global builtin_release_version 2
%global builtin_release_name Asuna
%global real_release_version %{?release_version}%{!?release_version:%{builtin_release_version}}
%global real_release_name %{?release_name}%{!?release_name:%{builtin_release_name}}
%global momorel	1

Summary: Momonga Linux release file
Name: momonga-release
Version: 2
Release: %{momorel}m
License: GPL
Group: System Environment/Base
Source: momonga-release-2.tar.gz
Obsoletes: redhat-release
Obsoletes: rawhide-release
Provides: redhat-release
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Momonga Linux release file

%prep
%setup -q

%build

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
%__mkdir_p %{buildroot}%{_sysconfdir}
echo "Momonga Linux release %{real_release_version} (%{real_release_name})%{?builtin_release_rc: rc%{builtin_release_rc}}" > %{buildroot}%{_sysconfdir}/momonga-release
cp %{buildroot}%{_sysconfdir}/momonga-release %{buildroot}%{_sysconfdir}/issue
echo "Kernel \r on an \m" >> %{buildroot}%{_sysconfdir}/issue
cp %{buildroot}%{_sysconfdir}/issue %{buildroot}%{_sysconfdir}/issue.net
echo >> %{buildroot}%{_sysconfdir}/issue
ln -s momonga-release %{buildroot}%{_sysconfdir}/redhat-release

mkdir -p -m 755 %{buildroot}/etc/yum.repos.d
for file in momonga*repo ; do
  install -m 644 $file %{buildroot}/etc/yum.repos.d
done

mkdir -p -m 755 %{buildroot}%{_datadir}/%{name}
for file in RPM-GPG-KEY* ; do
  install -m 644 $file %{buildroot}%{_datadir}/%{name}
done

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%attr(0644,root,root) /etc/momonga-release
%attr(-,root,root) /etc/redhat-release
%dir /etc/yum.repos.d
%config(noreplace) /etc/yum.repos.d/*
%doc GPL
%config %attr(0644,root,root) /etc/issue
%config %attr(0644,root,root) /etc/issue.net
%{_datadir}/%{name}/RPM-GPG-KEY*

%changelog
* Tue Apr 21 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (2-1m)
- Momonga Linux release 2 (Asuna)

* Fri Apr 15 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (2-0.92m)
- Momonga Linux release 2 (Asuna) rc1
- add RPM-GPG-KEY-momonga

* Wed Mar 23 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (2-0.91m)
- Momonga Linux release 2 (Asuna) beta2

* Mon Mar 14 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (2-0.90m)
- Momonga Linux release 2 (Asuna) beta1

* Sat Feb 26 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (1-20050226m)
- support new yum (yum.repos.d)

* Sat Feb 19 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (1-20050219m)
- Momonga LInux development (Sinji)
  (Still IN Jirai)

* Fri Aug 13 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1-2m)

* Wed Jul 28 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (1-1m)
- Momonga Linux release 1 (Kaede)

* Sat Jul 17 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (1-0.3m)
- Momonga Linux release 1 (Kaede) beta2

* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (1-0.2m)
- remove Epoch

* Tue Jul  6 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (1-0.1m)
- Momonga Linux 1 beta1
